source: projects/vine-manual-base/trunk/Makefile.in @ 4069

Revision 4069, 20.5 KB checked in by yasumichi, 13 years ago (diff)

公式サイトへのインストール用に configure オプション --enable-web を追加した。

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/vine-manual-base.spec.in \
37        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38        install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42        $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_CLEAN_FILES = vine-manual-base.spec
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51        html-recursive info-recursive install-data-recursive \
52        install-dvi-recursive install-exec-recursive \
53        install-html-recursive install-info-recursive \
54        install-pdf-recursive install-ps-recursive install-recursive \
55        installcheck-recursive installdirs-recursive pdf-recursive \
56        ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61        distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97GZIP_ENV = --best
98DIST_ARCHIVES = $(distdir).tar.bz2
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = @ACLOCAL@
102AMTAR = @AMTAR@
103AUTOCONF = @AUTOCONF@
104AUTOHEADER = @AUTOHEADER@
105AUTOMAKE = @AUTOMAKE@
106AWK = @AWK@
107CSS = @CSS@
108CSSDIR = @CSSDIR@
109CVSDATA = @CVSDATA@
110CYGPATH_W = @CYGPATH_W@
111DEFS = @DEFS@
112ECHO_C = @ECHO_C@
113ECHO_N = @ECHO_N@
114ECHO_T = @ECHO_T@
115IMAGEDIR = @IMAGEDIR@
116INDEX = @INDEX@
117INSTALL = @INSTALL@
118INSTALL_DATA = @INSTALL_DATA@
119INSTALL_PROGRAM = @INSTALL_PROGRAM@
120INSTALL_SCRIPT = @INSTALL_SCRIPT@
121INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
122LIBOBJS = @LIBOBJS@
123LIBS = @LIBS@
124LTLIBOBJS = @LTLIBOBJS@
125MAKEINFO = @MAKEINFO@
126MKDIR_P = @MKDIR_P@
127MKTEMP = @MKTEMP@
128MODE = @MODE@
129PACKAGE = @PACKAGE@
130PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
131PACKAGE_NAME = @PACKAGE_NAME@
132PACKAGE_STRING = @PACKAGE_STRING@
133PACKAGE_TARNAME = @PACKAGE_TARNAME@
134PACKAGE_URL = @PACKAGE_URL@
135PACKAGE_VERSION = @PACKAGE_VERSION@
136PATH_SEPARATOR = @PATH_SEPARATOR@
137SET_MAKE = @SET_MAKE@
138SHELL = @SHELL@
139STRIP = @STRIP@
140TEMPLATE = @TEMPLATE@
141VERSION = @VERSION@
142VMDIR = @VMDIR@
143abs_builddir = @abs_builddir@
144abs_srcdir = @abs_srcdir@
145abs_top_builddir = @abs_top_builddir@
146abs_top_srcdir = @abs_top_srcdir@
147am__leading_dot = @am__leading_dot@
148am__tar = @am__tar@
149am__untar = @am__untar@
150bindir = @bindir@
151build_alias = @build_alias@
152builddir = @builddir@
153datadir = @datadir@
154datarootdir = @datarootdir@
155docdir = @docdir@
156dvidir = @dvidir@
157exec_prefix = @exec_prefix@
158host_alias = @host_alias@
159htmldir = @htmldir@
160includedir = @includedir@
161infodir = @infodir@
162install_sh = @install_sh@
163libdir = @libdir@
164libexecdir = @libexecdir@
165localedir = @localedir@
166localstatedir = @localstatedir@
167mandir = @mandir@
168mkdir_p = @mkdir_p@
169oldincludedir = @oldincludedir@
170pdfdir = @pdfdir@
171prefix = @prefix@
172program_transform_name = @program_transform_name@
173psdir = @psdir@
174sbindir = @sbindir@
175sharedstatedir = @sharedstatedir@
176srcdir = @srcdir@
177sysconfdir = @sysconfdir@
178target_alias = @target_alias@
179top_build_prefix = @top_build_prefix@
180top_builddir = @top_builddir@
181top_srcdir = @top_srcdir@
182SUBDIRS = bin css data doc images
183EXTRA_DIST = vine-manual-base.spec.in
184all: all-recursive
185
186.SUFFIXES:
187am--refresh:
188        @:
189$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
190        @for dep in $?; do \
191          case '$(am__configure_deps)' in \
192            *$$dep*) \
193              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
194              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
195                && exit 0; \
196              exit 1;; \
197          esac; \
198        done; \
199        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
200        $(am__cd) $(top_srcdir) && \
201          $(AUTOMAKE) --gnu Makefile
202.PRECIOUS: Makefile
203Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
204        @case '$?' in \
205          *config.status*) \
206            echo ' $(SHELL) ./config.status'; \
207            $(SHELL) ./config.status;; \
208          *) \
209            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
210            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
211        esac;
212
213$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
214        $(SHELL) ./config.status --recheck
215
216$(top_srcdir)/configure:  $(am__configure_deps)
217        $(am__cd) $(srcdir) && $(AUTOCONF)
218$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
219        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
220$(am__aclocal_m4_deps):
221vine-manual-base.spec: $(top_builddir)/config.status $(srcdir)/vine-manual-base.spec.in
222        cd $(top_builddir) && $(SHELL) ./config.status $@
223
224# This directory's subdirectories are mostly independent; you can cd
225# into them and run `make' without going through this Makefile.
226# To change the values of `make' variables: instead of editing Makefiles,
227# (1) if the variable is set in `config.status', edit `config.status'
228#     (which will cause the Makefiles to be regenerated when you run `make');
229# (2) otherwise, pass the desired values on the `make' command line.
230$(RECURSIVE_TARGETS):
231        @fail= failcom='exit 1'; \
232        for f in x $$MAKEFLAGS; do \
233          case $$f in \
234            *=* | --[!k]*);; \
235            *k*) failcom='fail=yes';; \
236          esac; \
237        done; \
238        dot_seen=no; \
239        target=`echo $@ | sed s/-recursive//`; \
240        list='$(SUBDIRS)'; for subdir in $$list; do \
241          echo "Making $$target in $$subdir"; \
242          if test "$$subdir" = "."; then \
243            dot_seen=yes; \
244            local_target="$$target-am"; \
245          else \
246            local_target="$$target"; \
247          fi; \
248          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
249          || eval $$failcom; \
250        done; \
251        if test "$$dot_seen" = "no"; then \
252          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
253        fi; test -z "$$fail"
254
255$(RECURSIVE_CLEAN_TARGETS):
256        @fail= failcom='exit 1'; \
257        for f in x $$MAKEFLAGS; do \
258          case $$f in \
259            *=* | --[!k]*);; \
260            *k*) failcom='fail=yes';; \
261          esac; \
262        done; \
263        dot_seen=no; \
264        case "$@" in \
265          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
266          *) list='$(SUBDIRS)' ;; \
267        esac; \
268        rev=''; for subdir in $$list; do \
269          if test "$$subdir" = "."; then :; else \
270            rev="$$subdir $$rev"; \
271          fi; \
272        done; \
273        rev="$$rev ."; \
274        target=`echo $@ | sed s/-recursive//`; \
275        for subdir in $$rev; do \
276          echo "Making $$target in $$subdir"; \
277          if test "$$subdir" = "."; then \
278            local_target="$$target-am"; \
279          else \
280            local_target="$$target"; \
281          fi; \
282          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
283          || eval $$failcom; \
284        done && test -z "$$fail"
285tags-recursive:
286        list='$(SUBDIRS)'; for subdir in $$list; do \
287          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
288        done
289ctags-recursive:
290        list='$(SUBDIRS)'; for subdir in $$list; do \
291          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
292        done
293
294ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
295        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
296        unique=`for i in $$list; do \
297            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
298          done | \
299          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
300              END { if (nonempty) { for (i in files) print i; }; }'`; \
301        mkid -fID $$unique
302tags: TAGS
303
304TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
305                $(TAGS_FILES) $(LISP)
306        set x; \
307        here=`pwd`; \
308        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
309          include_option=--etags-include; \
310          empty_fix=.; \
311        else \
312          include_option=--include; \
313          empty_fix=; \
314        fi; \
315        list='$(SUBDIRS)'; for subdir in $$list; do \
316          if test "$$subdir" = .; then :; else \
317            test ! -f $$subdir/TAGS || \
318              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
319          fi; \
320        done; \
321        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
322        unique=`for i in $$list; do \
323            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
324          done | \
325          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
326              END { if (nonempty) { for (i in files) print i; }; }'`; \
327        shift; \
328        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
329          test -n "$$unique" || unique=$$empty_fix; \
330          if test $$# -gt 0; then \
331            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
332              "$$@" $$unique; \
333          else \
334            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
335              $$unique; \
336          fi; \
337        fi
338ctags: CTAGS
339CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
340                $(TAGS_FILES) $(LISP)
341        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
342        unique=`for i in $$list; do \
343            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
344          done | \
345          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
346              END { if (nonempty) { for (i in files) print i; }; }'`; \
347        test -z "$(CTAGS_ARGS)$$unique" \
348          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
349             $$unique
350
351GTAGS:
352        here=`$(am__cd) $(top_builddir) && pwd` \
353          && $(am__cd) $(top_srcdir) \
354          && gtags -i $(GTAGS_ARGS) "$$here"
355
356distclean-tags:
357        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
358
359distdir: $(DISTFILES)
360        $(am__remove_distdir)
361        test -d "$(distdir)" || mkdir "$(distdir)"
362        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
363        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
364        list='$(DISTFILES)'; \
365          dist_files=`for file in $$list; do echo $$file; done | \
366          sed -e "s|^$$srcdirstrip/||;t" \
367              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
368        case $$dist_files in \
369          */*) $(MKDIR_P) `echo "$$dist_files" | \
370                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
371                           sort -u` ;; \
372        esac; \
373        for file in $$dist_files; do \
374          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
375          if test -d $$d/$$file; then \
376            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
377            if test -d "$(distdir)/$$file"; then \
378              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
379            fi; \
380            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
381              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
382              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
383            fi; \
384            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
385          else \
386            test -f "$(distdir)/$$file" \
387            || cp -p $$d/$$file "$(distdir)/$$file" \
388            || exit 1; \
389          fi; \
390        done
391        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
392          if test "$$subdir" = .; then :; else \
393            test -d "$(distdir)/$$subdir" \
394            || $(MKDIR_P) "$(distdir)/$$subdir" \
395            || exit 1; \
396          fi; \
397        done
398        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
399          if test "$$subdir" = .; then :; else \
400            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
401            $(am__relativize); \
402            new_distdir=$$reldir; \
403            dir1=$$subdir; dir2="$(top_distdir)"; \
404            $(am__relativize); \
405            new_top_distdir=$$reldir; \
406            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
407            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
408            ($(am__cd) $$subdir && \
409              $(MAKE) $(AM_MAKEFLAGS) \
410                top_distdir="$$new_top_distdir" \
411                distdir="$$new_distdir" \
412                am__remove_distdir=: \
413                am__skip_length_check=: \
414                am__skip_mode_fix=: \
415                distdir) \
416              || exit 1; \
417          fi; \
418        done
419        -test -n "$(am__skip_mode_fix)" \
420        || find "$(distdir)" -type d ! -perm -755 \
421                -exec chmod u+rwx,go+rx {} \; -o \
422          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
423          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
424          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
425        || chmod -R a+r "$(distdir)"
426dist-gzip: distdir
427        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
428        $(am__remove_distdir)
429dist-bzip2: distdir
430        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
431        $(am__remove_distdir)
432
433dist-lzma: distdir
434        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
435        $(am__remove_distdir)
436
437dist-xz: distdir
438        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
439        $(am__remove_distdir)
440
441dist-tarZ: distdir
442        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
443        $(am__remove_distdir)
444
445dist-shar: distdir
446        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
447        $(am__remove_distdir)
448
449dist-zip: distdir
450        -rm -f $(distdir).zip
451        zip -rq $(distdir).zip $(distdir)
452        $(am__remove_distdir)
453
454dist dist-all: distdir
455        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
456        $(am__remove_distdir)
457
458# This target untars the dist file and tries a VPATH configuration.  Then
459# it guarantees that the distribution is self-contained by making another
460# tarfile.
461distcheck: dist
462        case '$(DIST_ARCHIVES)' in \
463        *.tar.gz*) \
464          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
465        *.tar.bz2*) \
466          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
467        *.tar.lzma*) \
468          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
469        *.tar.xz*) \
470          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
471        *.tar.Z*) \
472          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
473        *.shar.gz*) \
474          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
475        *.zip*) \
476          unzip $(distdir).zip ;;\
477        esac
478        chmod -R a-w $(distdir); chmod a+w $(distdir)
479        mkdir $(distdir)/_build
480        mkdir $(distdir)/_inst
481        chmod a-w $(distdir)
482        test -d $(distdir)/_build || exit 0; \
483        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
484          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
485          && am__cwd=`pwd` \
486          && $(am__cd) $(distdir)/_build \
487          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
488            $(DISTCHECK_CONFIGURE_FLAGS) \
489          && $(MAKE) $(AM_MAKEFLAGS) \
490          && $(MAKE) $(AM_MAKEFLAGS) dvi \
491          && $(MAKE) $(AM_MAKEFLAGS) check \
492          && $(MAKE) $(AM_MAKEFLAGS) install \
493          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
494          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
495          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
496                distuninstallcheck \
497          && chmod -R a-w "$$dc_install_base" \
498          && ({ \
499               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
500               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
501               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
502               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
503                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
504              } || { rm -rf "$$dc_destdir"; exit 1; }) \
505          && rm -rf "$$dc_destdir" \
506          && $(MAKE) $(AM_MAKEFLAGS) dist \
507          && rm -rf $(DIST_ARCHIVES) \
508          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
509          && cd "$$am__cwd" \
510          || exit 1
511        $(am__remove_distdir)
512        @(echo "$(distdir) archives ready for distribution: "; \
513          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
514          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
515distuninstallcheck:
516        @$(am__cd) '$(distuninstallcheck_dir)' \
517        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
518           || { echo "ERROR: files left after uninstall:" ; \
519                if test -n "$(DESTDIR)"; then \
520                  echo "  (check DESTDIR support)"; \
521                fi ; \
522                $(distuninstallcheck_listfiles) ; \
523                exit 1; } >&2
524distcleancheck: distclean
525        @if test '$(srcdir)' = . ; then \
526          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
527          exit 1 ; \
528        fi
529        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
530          || { echo "ERROR: files left in build directory after distclean:" ; \
531               $(distcleancheck_listfiles) ; \
532               exit 1; } >&2
533check-am: all-am
534check: check-recursive
535all-am: Makefile
536installdirs: installdirs-recursive
537installdirs-am:
538install: install-recursive
539install-exec: install-exec-recursive
540install-data: install-data-recursive
541uninstall: uninstall-recursive
542
543install-am: all-am
544        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
545
546installcheck: installcheck-recursive
547install-strip:
548        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
549          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
550          `test -z '$(STRIP)' || \
551            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
552mostlyclean-generic:
553
554clean-generic:
555
556distclean-generic:
557        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
558        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
559
560maintainer-clean-generic:
561        @echo "This command is intended for maintainers to use"
562        @echo "it deletes files that may require special tools to rebuild."
563clean: clean-recursive
564
565clean-am: clean-generic mostlyclean-am
566
567distclean: distclean-recursive
568        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
569        -rm -f Makefile
570distclean-am: clean-am distclean-generic distclean-tags
571
572dvi: dvi-recursive
573
574dvi-am:
575
576html: html-recursive
577
578html-am:
579
580info: info-recursive
581
582info-am:
583
584install-data-am:
585
586install-dvi: install-dvi-recursive
587
588install-dvi-am:
589
590install-exec-am:
591
592install-html: install-html-recursive
593
594install-html-am:
595
596install-info: install-info-recursive
597
598install-info-am:
599
600install-man:
601
602install-pdf: install-pdf-recursive
603
604install-pdf-am:
605
606install-ps: install-ps-recursive
607
608install-ps-am:
609
610installcheck-am:
611
612maintainer-clean: maintainer-clean-recursive
613        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
614        -rm -rf $(top_srcdir)/autom4te.cache
615        -rm -f Makefile
616maintainer-clean-am: distclean-am maintainer-clean-generic
617
618mostlyclean: mostlyclean-recursive
619
620mostlyclean-am: mostlyclean-generic
621
622pdf: pdf-recursive
623
624pdf-am:
625
626ps: ps-recursive
627
628ps-am:
629
630uninstall-am:
631
632.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
633        install-am install-strip tags-recursive
634
635.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
636        all all-am am--refresh check check-am clean clean-generic \
637        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
638        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
639        distclean distclean-generic distclean-tags distcleancheck \
640        distdir distuninstallcheck dvi dvi-am html html-am info \
641        info-am install install-am install-data install-data-am \
642        install-dvi install-dvi-am install-exec install-exec-am \
643        install-html install-html-am install-info install-info-am \
644        install-man install-pdf install-pdf-am install-ps \
645        install-ps-am install-strip installcheck installcheck-am \
646        installdirs installdirs-am maintainer-clean \
647        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
648        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
649
650
651# Tell versions [3.59,3.63) of GNU make to not export all variables.
652# Otherwise a system limit (for SysV at least) may be exceeded.
653.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.